Upload an image
curl --request POST \
--url https://app.demand-iq.com/api/images/upload \
--header 'Content-Type: multipart/form-data' \
--cookie session= \
--form file='@example-file' \
--form format=webpimport requests
url = "https://app.demand-iq.com/api/images/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "format": "webp" }
headers = {"cookie": "session="}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('format', 'webp');
const options = {method: 'POST', headers: {cookie: 'session='}};
options.body = form;
fetch('https://app.demand-iq.com/api/images/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"s3Key": "<string>",
"mimeType": "<string>",
"size": 123,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"width": 123,
"height": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Images
Upload an image
Uploads and optimizes an image (Sharp: max 1920px width; JPEG quality 85, or WebP quality 80 when format=webp). Returns the S3 key and a presigned URL.
POST
/
api
/
images
/
upload
Upload an image
Authorizations
Session cookie obtained from POST /api/auth/login.
Body
multipart/form-data
Response
Uploaded image metadata
Show child attributes
Show child attributes